/Users/bernard/b20/bsoft/src/bheight.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bheight.cpp - Projecting a 3D map and calculating comparison statistics of the projections.

SYNOPSIS

#include 'rwimg.h'
#include 'symmetry.h'
#include 'ps_views.h'
#include 'linked_list.h'
#include 'options.h'
#include 'utilities.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Projecting a 3D map and calculating comparison statistics of the projections.

Author:
    Bernard Heymann

Date:
    Created: 20170613

    Modified: 20170613

Definition in file bheight.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 50 of file bheight.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bheight [options] input.img output.img",
"---------------------------------------------",
"Calculates 2D height images from a 3D map.",
" ",
"Actions:",
"-axis y                  Project down a major axis (x, y, z or 0, 1, 2).",
"-View 0.3,-0.5,0.8,33    View to generate symmetry-related projections.",
"-Tilt -65,72,2.5,55      Tilt series of projections with angle min, max, step and axis angle.",
"-side 15                 Generate side view projections within the given angle from the equator.",
"-random 24               Generate a number of random projections.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-origin 10,-10,20        Origin for rotation (voxels, default 0,0,0).",
"-sampling 2,3.5,1        Sampling (angstrom/voxel, a single value sets all three).",
"-symmetry D6             Symmetry: Point group identifier.",
"-angles 8,6              Step sizes for theta and phi in the asymmetric unit, one value sets both.",
"-threshold 1.2           Density threshold to indicate boundary of object (default 0).",
" ",
"Output:",
"-Plotviews plot.ps       Output postscript file with a plot of projection vectors.",
" ",
NULL
}

Definition at line 22 of file bheight.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.